View Issue Details

IDProjectCategoryView StatusLast Update
0016357mantisbtinstallationpublic2014-12-08 00:34
ReporterCarstenGrohmannAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016357: install.php: Retry overwrites database password
Description

The installation script install.php overwrites the database user password with "__" after you've pressed the "Retry" button after something goes wrong.

The admin database password will be ok.

Affected versions: current Oracle branch

Part of the HTML source generated after the "Retry" button has pressed:

<td>
    Password (for Database)
</td>
<td>
    <input name="db_password" type="password" value="______"></input>
</td>

</tr>

[...]

<tr>
<td>
Admin Password (to create Database if required)
</td>
<td>
<input name="admin_password" type="password" value="topsecretpasswd"></input>
</td>
</tr>

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master e23da69a

2013-10-17 11:46:56

dregad

Details Diff
Various fixes and improvements to the installer

Fixes 0009701 0016357 0007632 (and potentially others as well)
mod - admin/install.php Diff File
add - javascript/install.js Diff File

Issue History

Date Modified Username Field Change
2013-09-04 03:57 CarstenGrohmann New Issue
2013-10-17 12:35 dregad Status new => resolved
2013-10-17 12:35 dregad Fixed in Version => 1.3.0-beta.1
2013-10-17 12:35 dregad Resolution open => fixed
2013-10-17 12:35 dregad Assigned To => dregad
2013-10-17 12:58 dregad Target Version => 1.3.0-beta.1
2013-10-17 13:09 dregad Changeset attached => MantisBT master e23da69a
2014-12-08 00:34 vboctor Status resolved => closed